<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="cancel()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-title>
			{{options.title || 'Thông báo'}}
		</ion-title>
	</ion-toolbar>
</ion-header>
<ion-content *ngIf="!numberPhoneDaXacThuc">
	<ion-list>
		<ion-item lines="none">
			<ion-label class="ion-text-center">
				<p>Hệ thống đã gửi mã xác thực tới số điện thoại</p>
				<h3 class="verify-value">{{numberPhone}}</h3>
			</ion-label>
		</ion-item>
		<ion-item lines="none" class="ion-margin-bottom">
			<ion-label position="stacked" style="margin-bottom: 15px !important;">Mã xác thực:</ion-label>
			<ng-otp-input style="width:100%" #ngOtpInput (onInputChange)="onOtpChange($event)" [config]="config"></ng-otp-input>
		</ion-item>
		<ion-item lines="none" *ngIf="timeVerifyValid">
			<ion-text>Mã có hiệu lực trong <b>{{timeVerifyValid.value|number}}</b> giây</ion-text>
		</ion-item>
		<ion-item lines="none">
			<ion-label (click)="reSendMaXacThuc()">
				<u>Gửi lại mã</u>
			</ion-label>
			<ion-label class="ion-text-end">
				<ion-button  [disabled]="!this.commonMethodsTs.checkMaXacThuc(code) || timeVerifyValid.value == 0" class="btn-res" size="default" color="secondary" (click)="verifyCode()">
					Tiếp tục</ion-button>
			</ion-label>
		</ion-item>
		<!-- <div *ngIf="!notRecaptcha" id="recaptcha-container"></div> -->

		<ion-item lines="none">
			<ion-text>
				Bằng việc tiếp tục, bạn đã đồng ý với <a href="javascript:void(0)"
					(click)="this.commonMethodsTs.openIframeByLinkDieuKhoan()">Điều
					khoản và điều kiện</a> của hệ thống {{lbl.raoXe}}!
			</ion-text>
		</ion-item>
	</ion-list>
	<ion-list *ngIf="history.length > 0">
		<ion-item lines="none">
			<ion-text class="history-verify">
				<ion-label><b>Lịch sử gửi mã xác thực:</b></ion-label>
				<p *ngFor="let h of history; let i = index">
					{{h}}
				</p>
				<p *ngIf="history.length == variables.smsLoopDefault + 1"><b>Nếu bạn không hoàn thành việc xác thực thì
						hệ
						thống tạm khóa chức năng gửi mã xác thực trong khoảng {{variables.smsTimeBetaDefault}} phút.</b>
				</p>
			</ion-text>
		</ion-item>
	</ion-list>

</ion-content>
<ion-content *ngIf="numberPhoneDaXacThuc">
	<ion-list class="ion-margin-bottom">
		
		<ion-item lines="none">
			<!-- 20191030 TranXuanDuc -->
			<ion-label class="ion-text-center">
				<p>Số điện thoại này đã được xác thực trước đó</p>
				<h3 class="verify-value">{{numberPhone}}</h3>
			</ion-label>
		</ion-item>
		
		<ion-item lines="none">
			
			<ion-label class="ion-text-end">
				<ion-button class="btn-res" size="default" color="secondary" (click)="next()">
					Tiếp tục</ion-button>
			</ion-label>
		</ion-item>
		

	</ion-list>
	

</ion-content>